<template>
  <NutForm label-position="top" class="order-bill-recharge gas-bill-recharge-wrapper phone">
    <NutFormItem class="bole-form-item">
      <GasOrgTypeCard
        :title="item.gasOrgName"
        v-for="item in gasParValueList"
        :key="item.gasOrgCode"
        @click="goNext(item.gasOrgCode)"
      ></GasOrgTypeCard>
    </NutFormItem>
    <div class="common-content">
      <NutButton class="recharge-button" type="primary" plain @click="goTo('step3')">
        <div class="recharge-button-inner">
          <div class="recharge-button-text">返回</div>
        </div>
      </NutButton>
    </div>
  </NutForm>
</template>

<script setup lang="ts">
import { Form as NutForm, FormItem as NutFormItem, Button as NutButton } from '@nutui/nutui-taro';
import GasOrgTypeCard from './GasOrgTypeCard.vue';
import { BlLifeRecharge, LifeRechargeConstants } from '@life-payment/core-vue';
import { useGasBillRechargeContext } from './context';
import { useGetGasParValue } from '../../hooks';

defineOptions({
  name: 'GasBillRechargeStep1',
});

const { preSetForm, goToNext, goTo } = useGasBillRechargeContext();

const { gasParValueList } = useGetGasParValue();

function goNext(gasOrgType: string) {
  preSetForm.gasOrgType = gasOrgType;
  goToNext();
}
</script>
